Subject: bug#16169: 24.3.50; isearch.el regression between 2013-12-05 and 2013-12-08

From: Drew Adams <[email-masked]>
Date: Mon, 16 Dec 2013 13:47:12 -0800 (PST)

> > There are only 3 lines of code that were changed in isearch.el to
> > introduce this regression.  I don't understand the code well enough to
> > suggest what's wrong, and I don't yet have a simple recipe from emacs
> > -Q.
> >
> > But with my setup, when I do C-a from within Isearch it no longer exits
> > Isearch.  Maybe that description will ring a bell?
> 
> Yes, it rings a bell to you.  In your isearch+.el set
> isearch--saved-overriding-local-map to overriding-terminal-local-map
> in isearch-mode that you replaced with your own implementation.

Thanks, Juri.  That was not so obvious (for me).  The problem I noticed
appears also in builds (e.g. in October) that do not even have
`isearch--saved-overriding-local-map'.  Diffing the introduction of this
regression (in October) did not help me see what needed to be done.

I will close this bug.